Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class OrthographicCameraData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraData
                  |
                  +--quicktime.qd3d.camera.OrthographicCameraData

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class OrthographicCameraData
extends CameraData
implements quicktime.jdirect.PrimitivesLib

OrthographicCameraData contains information for the camera angle and position. The lens characteristics are set with the dimensions of a rectangular viewPort in the frame of the camera. Refer to TQ3OrthographicCameraData in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`OrthographicCameraData()` Creates a OrthographicCameraData object containing no data.
`OrthographicCameraData(CameraData cameraData, float left, float top, float right, float bottom)` Creates a OrthographicCameraData object containing given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`float` | `getBottom()` returns the bottom position
`float` | `getLeft()` returns the left position
`float` | `getRight()` returns the right position
`float` | `getTop()` returns the top position
`void` | `setBottom(float bottom)` sets the bottom position
`void` | `setLeft(float left)` sets the left position
`void` | `setRight(float right)` sets the right position
`void` | `setTop(float top)` sets the top position

Methods inherited from class quicktime.qd3d.camera.CameraData
`getEndianDescriptor, getPlacement, getRange, getViewPort, setPlacement, setRange, setViewPort, toString`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### OrthographicCameraData

    public OrthographicCameraData()

  Creates a OrthographicCameraData object containing no data.

### OrthographicCameraData

    public OrthographicCameraData(CameraData cameraData,
                                  float left,
                                  float top,
                                  float right,
                                  float bottom)

  Creates a OrthographicCameraData object containing given data.
  Parameters:
    `cameraData` - The camera data.
    `left` - The left position.
    `top` - The top position.
    `right` - The right position.
    `bottom` - The bottom position.

Method Detail

### getLeft

    public float getLeft()

  returns the left position

### getTop

    public float getTop()

  returns the top position

### getRight

    public float getRight()

  returns the right position

### getBottom

    public float getBottom()

  returns the bottom position

### setLeft

    public void setLeft(float left)

  sets the left position

### setTop

    public void setTop(float top)

  sets the top position

### setRight

    public void setRight(float right)

  sets the right position

### setBottom

    public void setBottom(float bottom)

  sets the bottom position

### clone

    public java.lang.Object clone()

  Returns a copy of this class.
  Overrides:
    `clone` in class `CameraData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD